weka.core.pmml.jaxbbindings

## Class COUNTTABLETYPE

- java.lang.Object
- - weka.core.pmml.jaxbbindings.COUNTTABLETYPE

-     public class COUNTTABLETYPE
      extends java.lang.Object

  Java class for COUNT-TABLE-TYPE complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="COUNT-TABLE-TYPE">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <choice>
                 <element ref="{http://www.dmg.org/PMML-4_1}FieldValue" maxOccurs="unbounded"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}FieldValueCount" maxOccurs="unbounded"/>
               </choice>
             </sequence>
             <attribute name="sample" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `COUNTTABLETYPE()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.util.List<FieldValue>` | `getFieldValue()` Gets the value of the fieldValue property.
    `java.util.List<FieldValueCount>` | `getFieldValueCount()` Gets the value of the fieldValueCount property.
    `java.lang.Double` | `getSample()` Gets the value of the sample property.
    `void` | `setSample(java.lang.Double value)` Sets the value of the sample property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### COUNTTABLETYPE

          public COUNTTABLETYPE()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getFieldValue

          public java.util.List<FieldValue> getFieldValue()

      Gets the value of the fieldValue property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the fieldValue property.

      For example, to add a new item, do as follows:

              getFieldValue().add(newItem);

      Objects of the following type(s) are allowed in the list `FieldValue`

    - #### getFieldValueCount

          public java.util.List<FieldValueCount> getFieldValueCount()

      Gets the value of the fieldValueCount property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the fieldValueCount property.

      For example, to add a new item, do as follows:

              getFieldValueCount().add(newItem);

      Objects of the following type(s) are allowed in the list `FieldValueCount`

    - #### getSample

          public java.lang.Double getSample()

      Gets the value of the sample property.
      Returns:
        possible object is `Double`

    - #### setSample

          public void setSample(java.lang.Double value)

      Sets the value of the sample property.
      Parameters:
        `value` - allowed object is `Double`